WebHistory.Entry (JavaFX 13)

Module javafx.web
Package javafx.scene.web

## Class WebHistory.Entry

- java.lang.Object
- - javafx.scene.web.WebHistory.Entry

- Enclosing class:
    WebHistory

      public final class WebHistory.Entry
      extends Object

  The `Entry` class represents a single entry in the session history. An entry instance is associated with the visited page.
  Since:
    JavaFX 2.2

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `ReadOnlyObjectProperty<Date>` | `lastVisitedDate` | Defines the `Date` the page was last visited.
    `ReadOnlyObjectProperty<String>` | `title` | Defines the title of the page.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getLastVisitedDate()` | Gets the value of the property lastVisitedDate.
    `String` | `getTitle()` | Gets the value of the property title.
    `String` | `getUrl()` | Returns the URL of the page.
    `ReadOnlyObjectProperty<Date>` | `lastVisitedDateProperty()` | Defines the `Date` the page was last visited.
    `ReadOnlyObjectProperty<String>` | `titleProperty()` | Defines the title of the page.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### title

          public ReadOnlyObjectProperty<String> titleProperty

      Defines the title of the page.
      See Also:
        `getTitle()`

    - #### lastVisitedDate

          public ReadOnlyObjectProperty<Date> lastVisitedDateProperty

      Defines the `Date` the page was last visited.
      See Also:
        `getLastVisitedDate()`

  - ### Method Detail

    - #### getUrl

          public String getUrl()

      Returns the URL of the page.
      Returns:
        the url of the page

    - #### titleProperty

          public ReadOnlyObjectProperty<String> titleProperty()

      Defines the title of the page.
      See Also:
        `getTitle()`

    - #### getTitle

          public String getTitle()

      Gets the value of the property title.
      Property description:
        Defines the title of the page.

    - #### lastVisitedDateProperty

          public ReadOnlyObjectProperty<Date> lastVisitedDateProperty()

      Defines the `Date` the page was last visited.
      See Also:
        `getLastVisitedDate()`

    - #### getLastVisitedDate

          public Date getLastVisitedDate()

      Gets the value of the property lastVisitedDate.
      Property description:
        Defines the `Date` the page was last visited.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`